package cn.cecep.talroad.mapper.analysis;

import cn.cecep.talroad.domain.analysis.BasDeviceParamAnalyse;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import java.util.List;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

@Mapper
@Repository("basDeviceParamAnalyseNewMapper")
public interface BasDeviceParamAnalyseMapper extends BaseMapper<BasDeviceParamAnalyse> {
    int updateBatch(List<BasDeviceParamAnalyse> list);

    int updateBatchSelective(List<BasDeviceParamAnalyse> list);

    int batchInsert(@Param("list") List<BasDeviceParamAnalyse> list);

    List<BasDeviceParamAnalyse> selectByDeviceParamCode(@Param("deviceParamCodes") List<String> deviceParamCodes);

}
